[Bug 256504] games/pysolfc 2.6.4 needs update due to python 3.8 incompatibility.

From: <bugzilla-noreply_at_freebsd.org>
Date: Wed, 09 Jun 2021 16:33:50 +0000
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=256504

            Bug ID: 256504
           Summary: games/pysolfc 2.6.4 needs update due to python 3.8
                    incompatibility.
           Product: Ports & Packages
           Version: Latest
          Hardware: Any
                OS: Any
            Status: New
          Severity: Affects Only Me
          Priority: ---
         Component: Individual Port(s)
          Assignee: kai_at_FreeBSD.org
          Reporter: sven.a.jonsson_at_bahnhof.se
          Assignee: kai_at_FreeBSD.org
             Flags: maintainer-feedback?(kai_at_FreeBSD.org)

The current 2.6.4 version of pysolfc crashes at startup on new install of
FreeBSD 13.0 with

pysolfc
Traceback (most recent call last):
  File "/usr/local/bin/pysolfc", line 36, in <module>
    from pysollib.main import main  # noqa: E402,I202
  File "/usr/local/lib/python3.8/site-packages/pysollib/main.py", line 30, in
<module>
    from pysollib.app import Application
  File "/usr/local/lib/python3.8/site-packages/pysollib/app.py", line 31, in
<module>
    from pysollib.gamedb import GAME_DB, GI, loadGame
  File "/usr/local/lib/python3.8/site-packages/pysollib/gamedb.py", line 28, in
<module>
    from pysollib.mfxutil import Struct, print_err
  File "/usr/local/lib/python3.8/site-packages/pysollib/mfxutil.py", line 146,
in <module>
    uclock = time.clock
AttributeError: module 'time' has no attribute 'clock'

This was reported to upstream in
"https://github.com/shlomif/PySolFC/issues/145" as an incompatibility with
python 3.8 and is fixed in newer versions.

-- 
You are receiving this mail because:
You are the assignee for the bug.
Received on Wed Jun 09 2021 - 16:33:50 UTC

Original text of this message